
Figure - Bug #116360
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开应用小窗，进入多任务管理器，空白卡片显示异常
2023-02-17 17:23 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-17

Priority: High Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302170248

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Reproducibility: Every time Fixed Version: 2023-03-02

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、后台未运行任何应用

【测试步骤】

1、长按桌面上任意一个支持小窗的应用

2、在弹出的菜单中点击“小窗”

3、上划进入多任务管理器

【预期结果】

3、小窗正常进入任务管理器，页面显示异常

【实际结果】

3、进入多任务管理器，空白卡片显示异常

【复现率】

5/5

History

#1 - 2023-02-20 20:30 - CD APP-王营

- Due date set to 2023-02-22

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-21 13:46 - CD TEST-方永红

- Parent task changed from #111069 to #111067

#3 - 2023-02-23 15:44 - CD APP-王宏

- % Done changed from 0 to 30

■ Current conclusion

代码已提交

■ My analysis

根据视频分析，是因为在进入recent的时候将空界面展示了出来，并且，界面展示的位置也有问题，因此，
1.修正RecentsViewStateController中的逻辑，使其进入主页面时，不修改界面参数，位置正确

2.梳理整个recent的逻辑后，发现已经可以正常工作，显示隐藏正确

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834

#4 - 2023-02-24 18:25 - CD APP-王宏

- Due date changed from 2023-02-22 to 2023-03-03

等待小窗调整完成后入库

#5 - 2023-03-01 19:57 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-02

- Root cause set to 编码问题

#6 - 2023-03-02 19:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

3.2

验证通过

#7 - 2023-03-02 19:38 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-17 17-22-47.mp4 19.1 MB 2023-02-17 CD TEST-方永红
